#=======================================================================
# 
# Bellhop: Dickins Seamount
# Faro, Sex Set 10 23:09:19 WEST 2021
# Written by Orlando Camargo Rodriguez 
# 
#=======================================================================

from os import system
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *
sys.path.append ("../../../../Python/")
from plotray import *

print("Bellhop - Dickins Seamount:") 
print("Ray trace run")
print("Geometric hat beams in Cartesian coordinates") 

system("bellhop.exe DickinsFlatBray")

figure(1)
plotray('DickinsFlatBray.ray')
xlabel('Range (m)')
ylabel('Depth (m)')
title("Bellhop - Dickins Seamount")

show()

print("done.")
