#=======================================================================
# 
# Bellhop: Munk profile
# Faro, Sex Set 10 18:41:53 WEST 2021
# Written by Orlando Camargo Rodriguez 
# 
#=======================================================================

from os import system
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *
sys.path.append ("../../../../Python/")
from plotray import *

print("Bellhop - Munk profile:") 
print("Eigenray trace run")
print("Geometric hat beams in Cartesian coordinates")

system("bellhop.exe MunkB_eigenray")

figure(1)
plotray('MunkB_eigenray.ray')
xlabel('Range (m)')
ylabel('Depth (m)')
title("Bellhop - Munk profile")

show()

print("done.")

