#=======================================================================
# 
# Bellhop: Calibration case with gradient
# Faro, Sex Set 10 23:38:11 WEST 2021
# Written by Tordar 
# 
#=======================================================================

from os import system
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *
sys.path.append ("../../../../Python/")
from plotray import *

print("Bellhop - Calibration case with gradient:") 
print("Ray trace run")
print("Geometric hat beams in Cartesian coordinates")

system("bellhop.exe calibraygrad")

figure(1)
plotray('calibraygrad.ray')
xlabel('Range (m)')
ylabel('Depth (m)')
title("Bellhop - Calibration case with gradient")

show()

print("done.")
