#==================================================================
#  
#  Bellhop3D: Taiwan (Nx2D run)
#  Faro, Sab Set 11 00:03:57 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from os import system
import sys
from numpy import *
from scipy.io import *
from pylab import *
sys.path.append("../../../../Python/")
from plotray3d import *

rs = 0.0

print("Bellhop3D - Taiwan (Nx2D run):")
print("Ray trace run")
print("Geometric hat beams in Cartesian coordinates")

system("cp Taiwan.bty TaiwanNx2D_ray.bty")
system("cp Taiwan.ssp TaiwanNx2D_ray.ssp")
system("bellhop3d.exe TaiwanNx2D_ray")
system("rm TaiwanNx2D_ray.bty")
system("rm TaiwanNx2D_ray.ssp")

plotray3d('TaiwanNx2D_ray.ray')

show()

print("done.")
