#==================================================================
#  
#  Bellhop: Dickins sound speed profile
#  Faro, Sex Set 10 23:10:02 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from os import *
import sys
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *

sspdata = loadtxt("sound_speed.dat")

z = sspdata[:,0]; Dmax = max( z )
c = sspdata[:,1]

figure(1)
plot(c,-z)
xlabel('Sound Speed (m/s)')
ylabel('Depth (m)')
title('Bellhop - Dickins SSP')
grid(True)
show()

print('done.')
