#==================================================================
#  
#  Bellhop: INTIMATE96 sound speed profile
#  Faro, Sex Set 10 23:38:39 WEST 2021
#  Written by Tordar
#  
#==================================================================

from os import *
import sys
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *

data = loadmat('c0.mat')

z = squeeze( data['depths'] )*1.0
c = squeeze( data['mean_ssp'] )

Dmax = max( z )

figure(1)
plot(c,-z)
xlabel('Sound Speed (m/s)')
ylabel('Depth (m)')
title('Bellhop - INTIMATE96 SSP')
grid(True)
show()

print('done.')
