#==================================================================
#  
#  Bellhop: SBCX sound speed profile
#  Faro, Sex Set 10 23:40:34 WEST 2021
#  Written by Tordar
#  
#==================================================================

from os import *
import sys
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *

sspdata = loadtxt("sound_speed.dat")

z = sspdata[:,0]; Dmax = max( z )
c = sspdata[:,1]

figure(1)
plot(c,-z)
xlabel('Sound Speed (m/s)')
ylabel('Depth (m)')
title('Bellhop - SBCX SSP')
grid(True)
show()

print('done.')
