#==================================================================
#  
#  Bellhop3D: Parabolic bottom profile
#  Faro, Sab Set 11 00:17:35 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from os import system
import sys
from numpy import *
from scipy.io import *
from pylab import *
sys.path.append("../../../../Python/")
from plotray3d import *

rs = 0.0

print("Bellhop3D - Parabolic bottom profile:")
print("Ray trace run")
print("Cartesian beams")

system("cp ParaBot.ati ParaBot_ray.ati")
system("cp ParaBot.bty ParaBot_ray.bty")
system("bellhop3d.exe ParaBot_ray")
system("rm ParaBot_ray.ati")
system("rm ParaBot_ray.bty")

plotray3d('ParaBot_ray.ray')

show()

print("done.")
