#==================================================================
#  
#  Bellhop3D: Taiwan (3D run)
#  Faro, Sab Set 11 00:04:52 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from os import system
import sys
from numpy import *
from scipy.io import *
from pylab import *
sys.path.append("../../../../Python/")
from plotray3d import *

rs = 0.0

print("Bellhop3D - Taiwan (3D run):")
print("Ray trace run")
print("Geometric hat beams in Cartesian coordinates")

system("cp Taiwan.bty Taiwan3D_ray.bty")
system("cp Taiwan.ssp Taiwan3D_ray.ssp")
system("bellhop3d.exe Taiwan3D_ray")
system("rm Taiwan3D_ray.bty")
system("rm Taiwan3D_ray.ssp")

plotray3d('Taiwan3D_ray.ray')

show()

print("done.")
