#==================================================================
#  
#  Bellhop3D: Weymouth (3D run)
#  Faro, Sab Set 11 00:35:09 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from os import system
import sys
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *
sys.path.append("../../../../Python/")
from plotray3d import *

print("Bellhop3D - Weymouth (3D run):")
print("Ray trace run")
print("Geometric hat beams in Cartesian coordinates")

system("cp Weymouth.bty Weymouth3D_ray.bty")
system("bellhop3d.exe Weymouth3D_ray")
system("rm Weymouth3D_ray.bty")

plotray3d('Weymouth3D_ray.ray')

show()

print("done.")
