#==================================================================
#  
#  Bellhop3D: Weymouth (Nx2D run)
#  Faro, Sab Set 11 00:34:27 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from os import system
import sys
from numpy import *
from scipy.io import *
from matplotlib.pyplot import *
sys.path.append("../../../../Python/")
from plotray3d import *

print("Bellhop3D - Weymouth (Nx2D run):")
print("Ray trace run")
print("Geometric hat beams in Cartesian coordinates")

system("cp Weymouth.bty WeymouthNx2D_ray.bty")
system("bellhop3d.exe WeymouthNx2D_ray")
system("rm WeymouthNx2D_ray.bty")

plotray3d('WeymouthNx2D_ray.ray')

show()

print("done.")
