#==================================================================
#  
#  KRAKEN: Artic sound speed profile
#  Faro, Sab Set 11 01:32:07 WEST 2021
#  Written by Orlando Camargo Rodriguez
#  
#==================================================================

from numpy import *
from scipy.io import *
from matplotlib.pyplot import *

sspdata = loadtxt("sound_speed.dat")

z = sspdata[:,0]; Dmax = max( z )
c = sspdata[:,1]

figure(1)
plot(c,-z)
xlabel('Sound Speed (m/s)')
ylabel('Depth (m)')
title('KRAKEN - Artic SSP')
grid(True)
show()

print('done.')
